| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/threadjobqueue.h File Reference

Implementation of iJobQueue that lets the jobs run in a thread. More...

`#include "csextern.h"`
`#include "csutil/fifo.h"`
`#include "csutil/scf_implementation.h"`
`#include "csutil/thread.h"`
`#include "iutil/job.h"`

Go to the source code of this file.

## Classes
class | csThreadJobQueue
| iJobQueue implementation that lets the jobs run in a thread. More...

## Detailed Description

Implementation of iJobQueue that lets the jobs run in a thread.

Definition in file threadjobqueue.h.